639593741f1ac79c01c3577897197abd9deeb0e7
[platform/upstream/json-c.git] / tests / Makefile.in
1 # Makefile.in generated by automake 1.14 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19   case $${target_option-} in \
20       ?) ;; \
21       *) echo "am__make_running_with_option: internal error: invalid" \
22               "target option '$${target_option-}' specified" >&2; \
23          exit 1;; \
24   esac; \
25   has_opt=no; \
26   sane_makeflags=$$MAKEFLAGS; \
27   if $(am__is_gnu_make); then \
28     sane_makeflags=$$MFLAGS; \
29   else \
30     case $$MAKEFLAGS in \
31       *\\[\ \   ]*) \
32         bs=\\; \
33         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
35     esac; \
36   fi; \
37   skip_next=no; \
38   strip_trailopt () \
39   { \
40     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41   }; \
42   for flg in $$sane_makeflags; do \
43     test $$skip_next = yes && { skip_next=no; continue; }; \
44     case $$flg in \
45       *=*|--*) continue;; \
46         -*I) strip_trailopt 'I'; skip_next=yes;; \
47       -*I?*) strip_trailopt 'I';; \
48         -*O) strip_trailopt 'O'; skip_next=yes;; \
49       -*O?*) strip_trailopt 'O';; \
50         -*l) strip_trailopt 'l'; skip_next=yes;; \
51       -*l?*) strip_trailopt 'l';; \
52       -[dEDm]) skip_next=yes;; \
53       -[JT]) skip_next=yes;; \
54     esac; \
55     case $$flg in \
56       *$$target_option*) has_opt=yes; break;; \
57     esac; \
58   done; \
59   test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 build_triplet = @build@
79 host_triplet = @host@
80 DIST_COMMON = $(srcdir)/../Makefile.am.inc $(srcdir)/Makefile.in \
81         $(srcdir)/Makefile.am $(top_srcdir)/depcomp \
82         $(top_srcdir)/test-driver
83 check_PROGRAMS = $(am__EXEEXT_1) test1Formatted$(EXEEXT) \
84         test2Formatted$(EXEEXT)
85 subdir = tests
86 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
87 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
88 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
89         $(ACLOCAL_M4)
90 mkinstalldirs = $(install_sh) -d
91 CONFIG_HEADER = $(top_builddir)/config.h $(top_builddir)/json_config.h
92 CONFIG_CLEAN_FILES =
93 CONFIG_CLEAN_VPATH_FILES =
94 am__EXEEXT_1 = test1$(EXEEXT) test2$(EXEEXT) test4$(EXEEXT) \
95         testReplaceExisting$(EXEEXT) test_parse_int64$(EXEEXT) \
96         test_null$(EXEEXT) test_cast$(EXEEXT) test_parse$(EXEEXT) \
97         test_locale$(EXEEXT) test_charcase$(EXEEXT) \
98         test_printbuf$(EXEEXT) test_set_serializer$(EXEEXT)
99 test1_SOURCES = test1.c
100 test1_OBJECTS = test1.$(OBJEXT)
101 test1_LDADD = $(LDADD)
102 test1_DEPENDENCIES = $(LIBJSON_LA)
103 AM_V_lt = $(am__v_lt_@AM_V@)
104 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
105 am__v_lt_0 = --silent
106 am__v_lt_1 = 
107 am_test1Formatted_OBJECTS = test1Formatted-test1.$(OBJEXT) \
108         test1Formatted-parse_flags.$(OBJEXT)
109 test1Formatted_OBJECTS = $(am_test1Formatted_OBJECTS)
110 test1Formatted_LDADD = $(LDADD)
111 test1Formatted_DEPENDENCIES = $(LIBJSON_LA)
112 test2_SOURCES = test2.c
113 test2_OBJECTS = test2.$(OBJEXT)
114 test2_LDADD = $(LDADD)
115 test2_DEPENDENCIES = $(LIBJSON_LA)
116 am_test2Formatted_OBJECTS = test2Formatted-test2.$(OBJEXT) \
117         test2Formatted-parse_flags.$(OBJEXT)
118 test2Formatted_OBJECTS = $(am_test2Formatted_OBJECTS)
119 test2Formatted_LDADD = $(LDADD)
120 test2Formatted_DEPENDENCIES = $(LIBJSON_LA)
121 test4_SOURCES = test4.c
122 test4_OBJECTS = test4.$(OBJEXT)
123 test4_LDADD = $(LDADD)
124 test4_DEPENDENCIES = $(LIBJSON_LA)
125 testReplaceExisting_SOURCES = testReplaceExisting.c
126 testReplaceExisting_OBJECTS = testReplaceExisting.$(OBJEXT)
127 testReplaceExisting_LDADD = $(LDADD)
128 testReplaceExisting_DEPENDENCIES = $(LIBJSON_LA)
129 test_cast_SOURCES = test_cast.c
130 test_cast_OBJECTS = test_cast.$(OBJEXT)
131 test_cast_LDADD = $(LDADD)
132 test_cast_DEPENDENCIES = $(LIBJSON_LA)
133 test_charcase_SOURCES = test_charcase.c
134 test_charcase_OBJECTS = test_charcase.$(OBJEXT)
135 test_charcase_LDADD = $(LDADD)
136 test_charcase_DEPENDENCIES = $(LIBJSON_LA)
137 test_locale_SOURCES = test_locale.c
138 test_locale_OBJECTS = test_locale.$(OBJEXT)
139 test_locale_LDADD = $(LDADD)
140 test_locale_DEPENDENCIES = $(LIBJSON_LA)
141 test_null_SOURCES = test_null.c
142 test_null_OBJECTS = test_null.$(OBJEXT)
143 test_null_LDADD = $(LDADD)
144 test_null_DEPENDENCIES = $(LIBJSON_LA)
145 test_parse_SOURCES = test_parse.c
146 test_parse_OBJECTS = test_parse.$(OBJEXT)
147 test_parse_LDADD = $(LDADD)
148 test_parse_DEPENDENCIES = $(LIBJSON_LA)
149 test_parse_int64_SOURCES = test_parse_int64.c
150 test_parse_int64_OBJECTS = test_parse_int64.$(OBJEXT)
151 test_parse_int64_LDADD = $(LDADD)
152 test_parse_int64_DEPENDENCIES = $(LIBJSON_LA)
153 test_printbuf_SOURCES = test_printbuf.c
154 test_printbuf_OBJECTS = test_printbuf.$(OBJEXT)
155 test_printbuf_LDADD = $(LDADD)
156 test_printbuf_DEPENDENCIES = $(LIBJSON_LA)
157 test_set_serializer_SOURCES = test_set_serializer.c
158 test_set_serializer_OBJECTS = test_set_serializer.$(OBJEXT)
159 test_set_serializer_LDADD = $(LDADD)
160 test_set_serializer_DEPENDENCIES = $(LIBJSON_LA)
161 AM_V_P = $(am__v_P_@AM_V@)
162 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
163 am__v_P_0 = false
164 am__v_P_1 = :
165 AM_V_GEN = $(am__v_GEN_@AM_V@)
166 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
167 am__v_GEN_0 = @echo "  GEN     " $@;
168 am__v_GEN_1 = 
169 AM_V_at = $(am__v_at_@AM_V@)
170 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
171 am__v_at_0 = @
172 am__v_at_1 = 
173 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
174 depcomp = $(SHELL) $(top_srcdir)/depcomp
175 am__depfiles_maybe = depfiles
176 am__mv = mv -f
177 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
178         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
179 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
180         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
181         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
182         $(AM_CFLAGS) $(CFLAGS)
183 AM_V_CC = $(am__v_CC_@AM_V@)
184 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
185 am__v_CC_0 = @echo "  CC      " $@;
186 am__v_CC_1 = 
187 CCLD = $(CC)
188 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
189         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
190         $(AM_LDFLAGS) $(LDFLAGS) -o $@
191 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
192 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
193 am__v_CCLD_0 = @echo "  CCLD    " $@;
194 am__v_CCLD_1 = 
195 SOURCES = test1.c $(test1Formatted_SOURCES) test2.c \
196         $(test2Formatted_SOURCES) test4.c testReplaceExisting.c \
197         test_cast.c test_charcase.c test_locale.c test_null.c \
198         test_parse.c test_parse_int64.c test_printbuf.c \
199         test_set_serializer.c
200 DIST_SOURCES = test1.c $(test1Formatted_SOURCES) test2.c \
201         $(test2Formatted_SOURCES) test4.c testReplaceExisting.c \
202         test_cast.c test_charcase.c test_locale.c test_null.c \
203         test_parse.c test_parse_int64.c test_printbuf.c \
204         test_set_serializer.c
205 am__can_run_installinfo = \
206   case $$AM_UPDATE_INFO_DIR in \
207     n|no|NO) false;; \
208     *) (install-info --version) >/dev/null 2>&1;; \
209   esac
210 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
211 # Read a list of newline-separated strings from the standard input,
212 # and print each of them once, without duplicates.  Input order is
213 # *not* preserved.
214 am__uniquify_input = $(AWK) '\
215   BEGIN { nonempty = 0; } \
216   { items[$$0] = 1; nonempty = 1; } \
217   END { if (nonempty) { for (i in items) print i; }; } \
218 '
219 # Make sure the list of sources is unique.  This is necessary because,
220 # e.g., the same source file might be shared among _SOURCES variables
221 # for different programs/libraries.
222 am__define_uniq_tagged_files = \
223   list='$(am__tagged_files)'; \
224   unique=`for i in $$list; do \
225     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
226   done | $(am__uniquify_input)`
227 ETAGS = etags
228 CTAGS = ctags
229 am__tty_colors_dummy = \
230   mgn= red= grn= lgn= blu= brg= std=; \
231   am__color_tests=no
232 am__tty_colors = { \
233   $(am__tty_colors_dummy); \
234   if test "X$(AM_COLOR_TESTS)" = Xno; then \
235     am__color_tests=no; \
236   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
237     am__color_tests=yes; \
238   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
239     am__color_tests=yes; \
240   fi; \
241   if test $$am__color_tests = yes; then \
242     red='\e[0;31m'; \
243     grn='\e[0;32m'; \
244     lgn='\e[1;32m'; \
245     blu='\e[1;34m'; \
246     mgn='\e[0;35m'; \
247     brg='\e[1m'; \
248     std='\e[m'; \
249   fi; \
250 }
251 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
252 am__vpath_adj = case $$p in \
253     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
254     *) f=$$p;; \
255   esac;
256 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
257 am__install_max = 40
258 am__nobase_strip_setup = \
259   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
260 am__nobase_strip = \
261   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
262 am__nobase_list = $(am__nobase_strip_setup); \
263   for p in $$list; do echo "$$p $$p"; done | \
264   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
265   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
266     if (++n[$$2] == $(am__install_max)) \
267       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
268     END { for (dir in files) print dir, files[dir] }'
269 am__base_list = \
270   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
271   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
272 am__uninstall_files_from_dir = { \
273   test -z "$$files" \
274     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
275     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
276          $(am__cd) "$$dir" && rm -f $$files; }; \
277   }
278 am__recheck_rx = ^[     ]*:recheck:[    ]*
279 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
280 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
281 # A command that, given a newline-separated list of test names on the
282 # standard input, print the name of the tests that are to be re-run
283 # upon "make recheck".
284 am__list_recheck_tests = $(AWK) '{ \
285   recheck = 1; \
286   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
287     { \
288       if (rc < 0) \
289         { \
290           if ((getline line2 < ($$0 ".log")) < 0) \
291             recheck = 0; \
292           break; \
293         } \
294       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
295         { \
296           recheck = 0; \
297           break; \
298         } \
299       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
300         { \
301           break; \
302         } \
303     }; \
304   if (recheck) \
305     print $$0; \
306   close ($$0 ".trs"); \
307   close ($$0 ".log"); \
308 }'
309 # A command that, given a newline-separated list of test names on the
310 # standard input, create the global log from their .trs and .log files.
311 am__create_global_log = $(AWK) ' \
312 function fatal(msg) \
313 { \
314   print "fatal: making $@: " msg | "cat >&2"; \
315   exit 1; \
316 } \
317 function rst_section(header) \
318 { \
319   print header; \
320   len = length(header); \
321   for (i = 1; i <= len; i = i + 1) \
322     printf "="; \
323   printf "\n\n"; \
324 } \
325 { \
326   copy_in_global_log = 1; \
327   global_test_result = "RUN"; \
328   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
329     { \
330       if (rc < 0) \
331          fatal("failed to read from " $$0 ".trs"); \
332       if (line ~ /$(am__global_test_result_rx)/) \
333         { \
334           sub("$(am__global_test_result_rx)", "", line); \
335           sub("[        ]*$$", "", line); \
336           global_test_result = line; \
337         } \
338       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
339         copy_in_global_log = 0; \
340     }; \
341   if (copy_in_global_log) \
342     { \
343       rst_section(global_test_result ": " $$0); \
344       while ((rc = (getline line < ($$0 ".log"))) != 0) \
345       { \
346         if (rc < 0) \
347           fatal("failed to read from " $$0 ".log"); \
348         print line; \
349       }; \
350       printf "\n"; \
351     }; \
352   close ($$0 ".trs"); \
353   close ($$0 ".log"); \
354 }'
355 # Restructured Text title.
356 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
357 # Solaris 10 'make', and several other traditional 'make' implementations,
358 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
359 # by disabling -e (using the XSI extension "set +e") if it's set.
360 am__sh_e_setup = case $$- in *e*) set +e;; esac
361 # Default flags passed to test drivers.
362 am__common_driver_flags = \
363   --color-tests "$$am__color_tests" \
364   --enable-hard-errors "$$am__enable_hard_errors" \
365   --expect-failure "$$am__expect_failure"
366 # To be inserted before the command running the test.  Creates the
367 # directory for the log if needed.  Stores in $dir the directory
368 # containing $f, in $tst the test, in $log the log.  Executes the
369 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
370 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
371 # will run the test scripts (or their associated LOG_COMPILER, if
372 # thy have one).
373 am__check_pre = \
374 $(am__sh_e_setup);                                      \
375 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
376 $(am__tty_colors);                                      \
377 srcdir=$(srcdir); export srcdir;                        \
378 case "$@" in                                            \
379   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
380     *) am__odir=.;;                                     \
381 esac;                                                   \
382 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
383   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
384 if test -f "./$$f"; then dir=./;                        \
385 elif test -f "$$f"; then dir=;                          \
386 else dir="$(srcdir)/"; fi;                              \
387 tst=$$dir$$f; log='$@';                                 \
388 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
389   am__enable_hard_errors=no;                            \
390 else                                                    \
391   am__enable_hard_errors=yes;                           \
392 fi;                                                     \
393 case " $(XFAIL_TESTS) " in                              \
394   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
395     am__expect_failure=yes;;                            \
396   *)                                                    \
397     am__expect_failure=no;;                             \
398 esac;                                                   \
399 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
400 # A shell command to get the names of the tests scripts with any registered
401 # extension removed (i.e., equivalently, the names of the test logs, with
402 # the '.log' extension removed).  The result is saved in the shell variable
403 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
404 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
405 # since that might cause problem with VPATH rewrites for suffix-less tests.
406 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
407 am__set_TESTS_bases = \
408   bases='$(TEST_LOGS)'; \
409   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
410   bases=`echo $$bases`
411 RECHECK_LOGS = $(TEST_LOGS)
412 AM_RECURSIVE_TARGETS = check recheck
413 TEST_SUITE_LOG = test-suite.log
414 TEST_EXTENSIONS = @EXEEXT@ .test
415 am__test_logs1 = $(TESTS:=.log)
416 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
417 TEST_LOGS = $(am__test_logs2:.test.log=.log)
418 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
419 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
420         $(TEST_LOG_FLAGS)
421 am__set_b = \
422   case '$@' in \
423     */*) \
424       case '$*' in \
425         */*) b='$*';; \
426           *) b=`echo '$@' | sed 's/\.log$$//'`; \
427        esac;; \
428     *) \
429       b='$*';; \
430   esac
431 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
432 ACLOCAL = @ACLOCAL@
433 AMTAR = @AMTAR@
434 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
435 AR = @AR@
436 AUTOCONF = @AUTOCONF@
437 AUTOHEADER = @AUTOHEADER@
438 AUTOMAKE = @AUTOMAKE@
439 AWK = @AWK@
440 CC = @CC@
441 CCDEPMODE = @CCDEPMODE@
442 CFLAGS = @CFLAGS@
443 CPP = @CPP@
444 CPPFLAGS = @CPPFLAGS@
445 CYGPATH_W = @CYGPATH_W@
446 DEFS = @DEFS@
447 DEPDIR = @DEPDIR@
448 DLLTOOL = @DLLTOOL@
449 DSYMUTIL = @DSYMUTIL@
450 DUMPBIN = @DUMPBIN@
451 ECHO_C = @ECHO_C@
452 ECHO_N = @ECHO_N@
453 ECHO_T = @ECHO_T@
454 EGREP = @EGREP@
455 EXEEXT = @EXEEXT@
456 FGREP = @FGREP@
457 GREP = @GREP@
458 INSTALL = @INSTALL@
459 INSTALL_DATA = @INSTALL_DATA@
460 INSTALL_PROGRAM = @INSTALL_PROGRAM@
461 INSTALL_SCRIPT = @INSTALL_SCRIPT@
462 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
463 JSON_BSYMBOLIC_LDFLAGS = @JSON_BSYMBOLIC_LDFLAGS@
464 LD = @LD@
465 LDFLAGS = @LDFLAGS@
466 LIBOBJS = @LIBOBJS@
467 LIBS = @LIBS@
468 LIBTOOL = @LIBTOOL@
469 LIPO = @LIPO@
470 LN_S = @LN_S@
471 LTLIBOBJS = @LTLIBOBJS@
472 MAKEINFO = @MAKEINFO@
473 MANIFEST_TOOL = @MANIFEST_TOOL@
474 MKDIR_P = @MKDIR_P@
475 NM = @NM@
476 NMEDIT = @NMEDIT@
477 OBJDUMP = @OBJDUMP@
478 OBJEXT = @OBJEXT@
479 OTOOL = @OTOOL@
480 OTOOL64 = @OTOOL64@
481 PACKAGE = @PACKAGE@
482 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
483 PACKAGE_NAME = @PACKAGE_NAME@
484 PACKAGE_STRING = @PACKAGE_STRING@
485 PACKAGE_TARNAME = @PACKAGE_TARNAME@
486 PACKAGE_URL = @PACKAGE_URL@
487 PACKAGE_VERSION = @PACKAGE_VERSION@
488 PATH_SEPARATOR = @PATH_SEPARATOR@
489 RANLIB = @RANLIB@
490 SED = @SED@
491 SET_MAKE = @SET_MAKE@
492 SHELL = @SHELL@
493 STRIP = @STRIP@
494 VERSION = @VERSION@
495 abs_builddir = @abs_builddir@
496 abs_srcdir = @abs_srcdir@
497 abs_top_builddir = @abs_top_builddir@
498 abs_top_srcdir = @abs_top_srcdir@
499 ac_ct_AR = @ac_ct_AR@
500 ac_ct_CC = @ac_ct_CC@
501 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
502 am__include = @am__include@
503 am__leading_dot = @am__leading_dot@
504 am__quote = @am__quote@
505 am__tar = @am__tar@
506 am__untar = @am__untar@
507 bindir = @bindir@
508 build = @build@
509 build_alias = @build_alias@
510 build_cpu = @build_cpu@
511 build_os = @build_os@
512 build_vendor = @build_vendor@
513 builddir = @builddir@
514 datadir = @datadir@
515 datarootdir = @datarootdir@
516 docdir = @docdir@
517 dvidir = @dvidir@
518 exec_prefix = @exec_prefix@
519 host = @host@
520 host_alias = @host_alias@
521 host_cpu = @host_cpu@
522 host_os = @host_os@
523 host_vendor = @host_vendor@
524 htmldir = @htmldir@
525 includedir = @includedir@
526 infodir = @infodir@
527 install_sh = @install_sh@
528 libdir = @libdir@
529 libexecdir = @libexecdir@
530 localedir = @localedir@
531 localstatedir = @localstatedir@
532 mandir = @mandir@
533 mkdir_p = @mkdir_p@
534 oldincludedir = @oldincludedir@
535 pdfdir = @pdfdir@
536 prefix = @prefix@
537 program_transform_name = @program_transform_name@
538 psdir = @psdir@
539 sbindir = @sbindir@
540 sharedstatedir = @sharedstatedir@
541 srcdir = @srcdir@
542 sysconfdir = @sysconfdir@
543 target_alias = @target_alias@
544 top_build_prefix = @top_build_prefix@
545 top_builddir = @top_builddir@
546 top_srcdir = @top_srcdir@
547 AM_CFLAGS = -Wall -Werror -Wno-error=deprecated-declarations -Wextra -Wwrite-strings -Wno-unused-parameter -std=gnu99 -D_GNU_SOURCE -D_REENTRANT
548 LDADD = $(LIBJSON_LA)
549 LIBJSON_LA = $(top_builddir)/libjson-c.la
550 TESTS = test1.test test2.test test4.test testReplaceExisting.test \
551         test_parse_int64.test test_null.test test_cast.test \
552         test_parse.test test_locale.test test_charcase.test \
553         test_printbuf.test test_set_serializer.test
554 test1Formatted_SOURCES = test1.c parse_flags.c
555 test1Formatted_CPPFLAGS = -DTEST_FORMATTED
556 test2Formatted_SOURCES = test2.c parse_flags.c
557 test2Formatted_CPPFLAGS = -DTEST_FORMATTED
558 EXTRA_DIST = $(TESTS)
559 testsubdir = testSubDir
560 TESTS_ENVIRONMENT = top_builddir=$(top_builddir)
561 all: all-am
562
563 .SUFFIXES:
564 .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
565 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/../Makefile.am.inc $(am__configure_deps)
566         @for dep in $?; do \
567           case '$(am__configure_deps)' in \
568             *$$dep*) \
569               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
570                 && { if test -f $@; then exit 0; else break; fi; }; \
571               exit 1;; \
572           esac; \
573         done; \
574         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
575         $(am__cd) $(top_srcdir) && \
576           $(AUTOMAKE) --gnu tests/Makefile
577 .PRECIOUS: Makefile
578 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
579         @case '$?' in \
580           *config.status*) \
581             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
582           *) \
583             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
584             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
585         esac;
586 $(srcdir)/../Makefile.am.inc:
587
588 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
589         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
590
591 $(top_srcdir)/configure:  $(am__configure_deps)
592         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
593 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
594         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
595 $(am__aclocal_m4_deps):
596
597 clean-checkPROGRAMS:
598         @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
599         echo " rm -f" $$list; \
600         rm -f $$list || exit $$?; \
601         test -n "$(EXEEXT)" || exit 0; \
602         list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
603         echo " rm -f" $$list; \
604         rm -f $$list
605
606 test1$(EXEEXT): $(test1_OBJECTS) $(test1_DEPENDENCIES) $(EXTRA_test1_DEPENDENCIES) 
607         @rm -f test1$(EXEEXT)
608         $(AM_V_CCLD)$(LINK) $(test1_OBJECTS) $(test1_LDADD) $(LIBS)
609
610 test1Formatted$(EXEEXT): $(test1Formatted_OBJECTS) $(test1Formatted_DEPENDENCIES) $(EXTRA_test1Formatted_DEPENDENCIES) 
611         @rm -f test1Formatted$(EXEEXT)
612         $(AM_V_CCLD)$(LINK) $(test1Formatted_OBJECTS) $(test1Formatted_LDADD) $(LIBS)
613
614 test2$(EXEEXT): $(test2_OBJECTS) $(test2_DEPENDENCIES) $(EXTRA_test2_DEPENDENCIES) 
615         @rm -f test2$(EXEEXT)
616         $(AM_V_CCLD)$(LINK) $(test2_OBJECTS) $(test2_LDADD) $(LIBS)
617
618 test2Formatted$(EXEEXT): $(test2Formatted_OBJECTS) $(test2Formatted_DEPENDENCIES) $(EXTRA_test2Formatted_DEPENDENCIES) 
619         @rm -f test2Formatted$(EXEEXT)
620         $(AM_V_CCLD)$(LINK) $(test2Formatted_OBJECTS) $(test2Formatted_LDADD) $(LIBS)
621
622 test4$(EXEEXT): $(test4_OBJECTS) $(test4_DEPENDENCIES) $(EXTRA_test4_DEPENDENCIES) 
623         @rm -f test4$(EXEEXT)
624         $(AM_V_CCLD)$(LINK) $(test4_OBJECTS) $(test4_LDADD) $(LIBS)
625
626 testReplaceExisting$(EXEEXT): $(testReplaceExisting_OBJECTS) $(testReplaceExisting_DEPENDENCIES) $(EXTRA_testReplaceExisting_DEPENDENCIES) 
627         @rm -f testReplaceExisting$(EXEEXT)
628         $(AM_V_CCLD)$(LINK) $(testReplaceExisting_OBJECTS) $(testReplaceExisting_LDADD) $(LIBS)
629
630 test_cast$(EXEEXT): $(test_cast_OBJECTS) $(test_cast_DEPENDENCIES) $(EXTRA_test_cast_DEPENDENCIES) 
631         @rm -f test_cast$(EXEEXT)
632         $(AM_V_CCLD)$(LINK) $(test_cast_OBJECTS) $(test_cast_LDADD) $(LIBS)
633
634 test_charcase$(EXEEXT): $(test_charcase_OBJECTS) $(test_charcase_DEPENDENCIES) $(EXTRA_test_charcase_DEPENDENCIES) 
635         @rm -f test_charcase$(EXEEXT)
636         $(AM_V_CCLD)$(LINK) $(test_charcase_OBJECTS) $(test_charcase_LDADD) $(LIBS)
637
638 test_locale$(EXEEXT): $(test_locale_OBJECTS) $(test_locale_DEPENDENCIES) $(EXTRA_test_locale_DEPENDENCIES) 
639         @rm -f test_locale$(EXEEXT)
640         $(AM_V_CCLD)$(LINK) $(test_locale_OBJECTS) $(test_locale_LDADD) $(LIBS)
641
642 test_null$(EXEEXT): $(test_null_OBJECTS) $(test_null_DEPENDENCIES) $(EXTRA_test_null_DEPENDENCIES) 
643         @rm -f test_null$(EXEEXT)
644         $(AM_V_CCLD)$(LINK) $(test_null_OBJECTS) $(test_null_LDADD) $(LIBS)
645
646 test_parse$(EXEEXT): $(test_parse_OBJECTS) $(test_parse_DEPENDENCIES) $(EXTRA_test_parse_DEPENDENCIES) 
647         @rm -f test_parse$(EXEEXT)
648         $(AM_V_CCLD)$(LINK) $(test_parse_OBJECTS) $(test_parse_LDADD) $(LIBS)
649
650 test_parse_int64$(EXEEXT): $(test_parse_int64_OBJECTS) $(test_parse_int64_DEPENDENCIES) $(EXTRA_test_parse_int64_DEPENDENCIES) 
651         @rm -f test_parse_int64$(EXEEXT)
652         $(AM_V_CCLD)$(LINK) $(test_parse_int64_OBJECTS) $(test_parse_int64_LDADD) $(LIBS)
653
654 test_printbuf$(EXEEXT): $(test_printbuf_OBJECTS) $(test_printbuf_DEPENDENCIES) $(EXTRA_test_printbuf_DEPENDENCIES) 
655         @rm -f test_printbuf$(EXEEXT)
656         $(AM_V_CCLD)$(LINK) $(test_printbuf_OBJECTS) $(test_printbuf_LDADD) $(LIBS)
657
658 test_set_serializer$(EXEEXT): $(test_set_serializer_OBJECTS) $(test_set_serializer_DEPENDENCIES) $(EXTRA_test_set_serializer_DEPENDENCIES) 
659         @rm -f test_set_serializer$(EXEEXT)
660         $(AM_V_CCLD)$(LINK) $(test_set_serializer_OBJECTS) $(test_set_serializer_LDADD) $(LIBS)
661
662 mostlyclean-compile:
663         -rm -f *.$(OBJEXT)
664
665 distclean-compile:
666         -rm -f *.tab.c
667
668 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test1.Po@am__quote@
669 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test1Formatted-parse_flags.Po@am__quote@
670 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test1Formatted-test1.Po@am__quote@
671 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test2.Po@am__quote@
672 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test2Formatted-parse_flags.Po@am__quote@
673 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test2Formatted-test2.Po@am__quote@
674 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test4.Po@am__quote@
675 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testReplaceExisting.Po@am__quote@
676 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_cast.Po@am__quote@
677 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_charcase.Po@am__quote@
678 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_locale.Po@am__quote@
679 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_null.Po@am__quote@
680 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_parse.Po@am__quote@
681 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_parse_int64.Po@am__quote@
682 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_printbuf.Po@am__quote@
683 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_set_serializer.Po@am__quote@
684
685 .c.o:
686 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
687 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
688 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
689 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
690 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
691
692 .c.obj:
693 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
694 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
695 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
696 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
697 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
698
699 .c.lo:
700 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
701 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
702 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
703 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
704 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
705
706 test1Formatted-test1.o: test1.c
707 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test1Formatted-test1.o -MD -MP -MF $(DEPDIR)/test1Formatted-test1.Tpo -c -o test1Formatted-test1.o `test -f 'test1.c' || echo '$(srcdir)/'`test1.c
708 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test1Formatted-test1.Tpo $(DEPDIR)/test1Formatted-test1.Po
709 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test1.c' object='test1Formatted-test1.o' libtool=no @AMDEPBACKSLASH@
710 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
711 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test1Formatted-test1.o `test -f 'test1.c' || echo '$(srcdir)/'`test1.c
712
713 test1Formatted-test1.obj: test1.c
714 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test1Formatted-test1.obj -MD -MP -MF $(DEPDIR)/test1Formatted-test1.Tpo -c -o test1Formatted-test1.obj `if test -f 'test1.c'; then $(CYGPATH_W) 'test1.c'; else $(CYGPATH_W) '$(srcdir)/test1.c'; fi`
715 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test1Formatted-test1.Tpo $(DEPDIR)/test1Formatted-test1.Po
716 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test1.c' object='test1Formatted-test1.obj' libtool=no @AMDEPBACKSLASH@
717 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
718 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test1Formatted-test1.obj `if test -f 'test1.c'; then $(CYGPATH_W) 'test1.c'; else $(CYGPATH_W) '$(srcdir)/test1.c'; fi`
719
720 test1Formatted-parse_flags.o: parse_flags.c
721 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test1Formatted-parse_flags.o -MD -MP -MF $(DEPDIR)/test1Formatted-parse_flags.Tpo -c -o test1Formatted-parse_flags.o `test -f 'parse_flags.c' || echo '$(srcdir)/'`parse_flags.c
722 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test1Formatted-parse_flags.Tpo $(DEPDIR)/test1Formatted-parse_flags.Po
723 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='parse_flags.c' object='test1Formatted-parse_flags.o' libtool=no @AMDEPBACKSLASH@
724 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
725 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test1Formatted-parse_flags.o `test -f 'parse_flags.c' || echo '$(srcdir)/'`parse_flags.c
726
727 test1Formatted-parse_flags.obj: parse_flags.c
728 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test1Formatted-parse_flags.obj -MD -MP -MF $(DEPDIR)/test1Formatted-parse_flags.Tpo -c -o test1Formatted-parse_flags.obj `if test -f 'parse_flags.c'; then $(CYGPATH_W) 'parse_flags.c'; else $(CYGPATH_W) '$(srcdir)/parse_flags.c'; fi`
729 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test1Formatted-parse_flags.Tpo $(DEPDIR)/test1Formatted-parse_flags.Po
730 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='parse_flags.c' object='test1Formatted-parse_flags.obj' libtool=no @AMDEPBACKSLASH@
731 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
732 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test1Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test1Formatted-parse_flags.obj `if test -f 'parse_flags.c'; then $(CYGPATH_W) 'parse_flags.c'; else $(CYGPATH_W) '$(srcdir)/parse_flags.c'; fi`
733
734 test2Formatted-test2.o: test2.c
735 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test2Formatted-test2.o -MD -MP -MF $(DEPDIR)/test2Formatted-test2.Tpo -c -o test2Formatted-test2.o `test -f 'test2.c' || echo '$(srcdir)/'`test2.c
736 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test2Formatted-test2.Tpo $(DEPDIR)/test2Formatted-test2.Po
737 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test2.c' object='test2Formatted-test2.o' libtool=no @AMDEPBACKSLASH@
738 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
739 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test2Formatted-test2.o `test -f 'test2.c' || echo '$(srcdir)/'`test2.c
740
741 test2Formatted-test2.obj: test2.c
742 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test2Formatted-test2.obj -MD -MP -MF $(DEPDIR)/test2Formatted-test2.Tpo -c -o test2Formatted-test2.obj `if test -f 'test2.c'; then $(CYGPATH_W) 'test2.c'; else $(CYGPATH_W) '$(srcdir)/test2.c'; fi`
743 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test2Formatted-test2.Tpo $(DEPDIR)/test2Formatted-test2.Po
744 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test2.c' object='test2Formatted-test2.obj' libtool=no @AMDEPBACKSLASH@
745 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
746 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test2Formatted-test2.obj `if test -f 'test2.c'; then $(CYGPATH_W) 'test2.c'; else $(CYGPATH_W) '$(srcdir)/test2.c'; fi`
747
748 test2Formatted-parse_flags.o: parse_flags.c
749 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test2Formatted-parse_flags.o -MD -MP -MF $(DEPDIR)/test2Formatted-parse_flags.Tpo -c -o test2Formatted-parse_flags.o `test -f 'parse_flags.c' || echo '$(srcdir)/'`parse_flags.c
750 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test2Formatted-parse_flags.Tpo $(DEPDIR)/test2Formatted-parse_flags.Po
751 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='parse_flags.c' object='test2Formatted-parse_flags.o' libtool=no @AMDEPBACKSLASH@
752 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
753 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test2Formatted-parse_flags.o `test -f 'parse_flags.c' || echo '$(srcdir)/'`parse_flags.c
754
755 test2Formatted-parse_flags.obj: parse_flags.c
756 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT test2Formatted-parse_flags.obj -MD -MP -MF $(DEPDIR)/test2Formatted-parse_flags.Tpo -c -o test2Formatted-parse_flags.obj `if test -f 'parse_flags.c'; then $(CYGPATH_W) 'parse_flags.c'; else $(CYGPATH_W) '$(srcdir)/parse_flags.c'; fi`
757 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test2Formatted-parse_flags.Tpo $(DEPDIR)/test2Formatted-parse_flags.Po
758 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='parse_flags.c' object='test2Formatted-parse_flags.obj' libtool=no @AMDEPBACKSLASH@
759 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
760 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(test2Formatted_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o test2Formatted-parse_flags.obj `if test -f 'parse_flags.c'; then $(CYGPATH_W) 'parse_flags.c'; else $(CYGPATH_W) '$(srcdir)/parse_flags.c'; fi`
761
762 mostlyclean-libtool:
763         -rm -f *.lo
764
765 clean-libtool:
766         -rm -rf .libs _libs
767
768 ID: $(am__tagged_files)
769         $(am__define_uniq_tagged_files); mkid -fID $$unique
770 tags: tags-am
771 TAGS: tags
772
773 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
774         set x; \
775         here=`pwd`; \
776         $(am__define_uniq_tagged_files); \
777         shift; \
778         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
779           test -n "$$unique" || unique=$$empty_fix; \
780           if test $$# -gt 0; then \
781             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
782               "$$@" $$unique; \
783           else \
784             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
785               $$unique; \
786           fi; \
787         fi
788 ctags: ctags-am
789
790 CTAGS: ctags
791 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
792         $(am__define_uniq_tagged_files); \
793         test -z "$(CTAGS_ARGS)$$unique" \
794           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
795              $$unique
796
797 GTAGS:
798         here=`$(am__cd) $(top_builddir) && pwd` \
799           && $(am__cd) $(top_srcdir) \
800           && gtags -i $(GTAGS_ARGS) "$$here"
801 cscopelist: cscopelist-am
802
803 cscopelist-am: $(am__tagged_files)
804         list='$(am__tagged_files)'; \
805         case "$(srcdir)" in \
806           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
807           *) sdir=$(subdir)/$(srcdir) ;; \
808         esac; \
809         for i in $$list; do \
810           if test -f "$$i"; then \
811             echo "$(subdir)/$$i"; \
812           else \
813             echo "$$sdir/$$i"; \
814           fi; \
815         done >> $(top_builddir)/cscope.files
816
817 distclean-tags:
818         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
819
820 # Recover from deleted '.trs' file; this should ensure that
821 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
822 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
823 # to avoid problems with "make -n".
824 .log.trs:
825         rm -f $< $@
826         $(MAKE) $(AM_MAKEFLAGS) $<
827
828 # Leading 'am--fnord' is there to ensure the list of targets does not
829 # expand to empty, as could happen e.g. with make check TESTS=''.
830 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
831 am--force-recheck:
832         @:
833
834 $(TEST_SUITE_LOG): $(TEST_LOGS)
835         @$(am__set_TESTS_bases); \
836         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
837         redo_bases=`for i in $$bases; do \
838                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
839                     done`; \
840         if test -n "$$redo_bases"; then \
841           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
842           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
843           if $(am__make_dryrun); then :; else \
844             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
845           fi; \
846         fi; \
847         if test -n "$$am__remaking_logs"; then \
848           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
849                "recursion detected" >&2; \
850         else \
851           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
852         fi; \
853         if $(am__make_dryrun); then :; else \
854           st=0;  \
855           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
856           for i in $$redo_bases; do \
857             test -f $$i.trs && test -r $$i.trs \
858               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
859             test -f $$i.log && test -r $$i.log \
860               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
861           done; \
862           test $$st -eq 0 || exit 1; \
863         fi
864         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
865         ws='[   ]'; \
866         results=`for b in $$bases; do echo $$b.trs; done`; \
867         test -n "$$results" || results=/dev/null; \
868         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
869         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
870         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
871         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
872         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
873         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
874         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
875         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
876           success=true; \
877         else \
878           success=false; \
879         fi; \
880         br='==================='; br=$$br$$br$$br$$br; \
881         result_count () \
882         { \
883             if test x"$$1" = x"--maybe-color"; then \
884               maybe_colorize=yes; \
885             elif test x"$$1" = x"--no-color"; then \
886               maybe_colorize=no; \
887             else \
888               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
889             fi; \
890             shift; \
891             desc=$$1 count=$$2; \
892             if test $$maybe_colorize = yes && test $$count -gt 0; then \
893               color_start=$$3 color_end=$$std; \
894             else \
895               color_start= color_end=; \
896             fi; \
897             echo "$${color_start}# $$desc $$count$${color_end}"; \
898         }; \
899         create_testsuite_report () \
900         { \
901           result_count $$1 "TOTAL:" $$all   "$$brg"; \
902           result_count $$1 "PASS: " $$pass  "$$grn"; \
903           result_count $$1 "SKIP: " $$skip  "$$blu"; \
904           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
905           result_count $$1 "FAIL: " $$fail  "$$red"; \
906           result_count $$1 "XPASS:" $$xpass "$$red"; \
907           result_count $$1 "ERROR:" $$error "$$mgn"; \
908         }; \
909         {                                                               \
910           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
911             $(am__rst_title);                                           \
912           create_testsuite_report --no-color;                           \
913           echo;                                                         \
914           echo ".. contents:: :depth: 2";                               \
915           echo;                                                         \
916           for b in $$bases; do echo $$b; done                           \
917             | $(am__create_global_log);                                 \
918         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
919         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
920         if $$success; then                                              \
921           col="$$grn";                                                  \
922          else                                                           \
923           col="$$red";                                                  \
924           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
925         fi;                                                             \
926         echo "$${col}$$br$${std}";                                      \
927         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
928         echo "$${col}$$br$${std}";                                      \
929         create_testsuite_report --maybe-color;                          \
930         echo "$$col$$br$$std";                                          \
931         if $$success; then :; else                                      \
932           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
933           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
934             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
935           fi;                                                           \
936           echo "$$col$$br$$std";                                        \
937         fi;                                                             \
938         $$success || exit 1
939
940 check-TESTS:
941         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
942         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
943         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
944         @set +e; $(am__set_TESTS_bases); \
945         log_list=`for i in $$bases; do echo $$i.log; done`; \
946         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
947         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
948         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
949         exit $$?;
950 recheck: all $(check_PROGRAMS)
951         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
952         @set +e; $(am__set_TESTS_bases); \
953         bases=`for i in $$bases; do echo $$i; done \
954                  | $(am__list_recheck_tests)` || exit 1; \
955         log_list=`for i in $$bases; do echo $$i.log; done`; \
956         log_list=`echo $$log_list`; \
957         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
958                 am__force_recheck=am--force-recheck \
959                 TEST_LOGS="$$log_list"; \
960         exit $$?
961 .test.log:
962         @p='$<'; \
963         $(am__set_b); \
964         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
965         --log-file $$b.log --trs-file $$b.trs \
966         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
967         "$$tst" $(AM_TESTS_FD_REDIRECT)
968 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
969 @am__EXEEXT_TRUE@       @p='$<'; \
970 @am__EXEEXT_TRUE@       $(am__set_b); \
971 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
972 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
973 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
974 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
975
976 distdir: $(DISTFILES)
977         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
978         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
979         list='$(DISTFILES)'; \
980           dist_files=`for file in $$list; do echo $$file; done | \
981           sed -e "s|^$$srcdirstrip/||;t" \
982               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
983         case $$dist_files in \
984           */*) $(MKDIR_P) `echo "$$dist_files" | \
985                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
986                            sort -u` ;; \
987         esac; \
988         for file in $$dist_files; do \
989           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
990           if test -d $$d/$$file; then \
991             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
992             if test -d "$(distdir)/$$file"; then \
993               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
994             fi; \
995             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
996               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
997               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
998             fi; \
999             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1000           else \
1001             test -f "$(distdir)/$$file" \
1002             || cp -p $$d/$$file "$(distdir)/$$file" \
1003             || exit 1; \
1004           fi; \
1005         done
1006 check-am: all-am
1007         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1008         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1009 check: check-am
1010 all-am: Makefile
1011 installdirs:
1012 install: install-am
1013 install-exec: install-exec-am
1014 install-data: install-data-am
1015 uninstall: uninstall-am
1016
1017 install-am: all-am
1018         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1019
1020 installcheck: installcheck-am
1021 install-strip:
1022         if test -z '$(STRIP)'; then \
1023           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1024             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1025               install; \
1026         else \
1027           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1028             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1029             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1030         fi
1031 mostlyclean-generic:
1032         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1033         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1034         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1035
1036 clean-generic:
1037
1038 distclean-generic:
1039         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1040         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1041
1042 maintainer-clean-generic:
1043         @echo "This command is intended for maintainers to use"
1044         @echo "it deletes files that may require special tools to rebuild."
1045 clean: clean-am
1046
1047 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1048         mostlyclean-am
1049
1050 distclean: distclean-am
1051         -rm -rf ./$(DEPDIR)
1052         -rm -f Makefile
1053 distclean-am: clean-am distclean-compile distclean-generic \
1054         distclean-local distclean-tags
1055
1056 dvi: dvi-am
1057
1058 dvi-am:
1059
1060 html: html-am
1061
1062 html-am:
1063
1064 info: info-am
1065
1066 info-am:
1067
1068 install-data-am:
1069
1070 install-dvi: install-dvi-am
1071
1072 install-dvi-am:
1073
1074 install-exec-am:
1075
1076 install-html: install-html-am
1077
1078 install-html-am:
1079
1080 install-info: install-info-am
1081
1082 install-info-am:
1083
1084 install-man:
1085
1086 install-pdf: install-pdf-am
1087
1088 install-pdf-am:
1089
1090 install-ps: install-ps-am
1091
1092 install-ps-am:
1093
1094 installcheck-am:
1095
1096 maintainer-clean: maintainer-clean-am
1097         -rm -rf ./$(DEPDIR)
1098         -rm -f Makefile
1099 maintainer-clean-am: distclean-am maintainer-clean-generic
1100
1101 mostlyclean: mostlyclean-am
1102
1103 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1104         mostlyclean-libtool
1105
1106 pdf: pdf-am
1107
1108 pdf-am:
1109
1110 ps: ps-am
1111
1112 ps-am:
1113
1114 uninstall-am:
1115
1116 .MAKE: check-am install-am install-strip
1117
1118 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1119         clean-checkPROGRAMS clean-generic clean-libtool cscopelist-am \
1120         ctags ctags-am distclean distclean-compile distclean-generic \
1121         distclean-libtool distclean-local distclean-tags distdir dvi \
1122         dvi-am html html-am info info-am install install-am \
1123         install-data install-data-am install-dvi install-dvi-am \
1124         install-exec install-exec-am install-html install-html-am \
1125         install-info install-info-am install-man install-pdf \
1126         install-pdf-am install-ps install-ps-am install-strip \
1127         installcheck installcheck-am installdirs maintainer-clean \
1128         maintainer-clean-generic mostlyclean mostlyclean-compile \
1129         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1130         recheck tags tags-am uninstall uninstall-am
1131
1132
1133 distclean-local:
1134         -rm -rf $(testsubdir)
1135
1136 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1137 # Otherwise a system limit (for SysV at least) may be exceeded.
1138 .NOEXPORT: